webkit2gtk (2.52.4-1ubuntu1) stonking; urgency=medium

  * d/p/arm64-64k-pages: Fix running on ARM64 with 64KB page size (LP: #2156420)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 06 Jul 2026 14:46:28 +0200

webkit2gtk (2.52.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop fix-atomics-detection.patch and fix-big-endian-string.patch.
  * fix-ftbfs-system-malloc.patch:
    - Fix FTBFS when USE_SYSTEM_MALLOC is enabled (for example i386).
  * Use clang-22 on armhf instead of gcc:
    - debian/control.in: add build dependency.
    - debian/rules: don't use -no-integrated-cpp as it causes build
      failures with clang due to missing includes.

 -- Alberto Garcia <berto@igalia.com>  Tue, 02 Jun 2026 22:50:22 +0200

webkit2gtk (2.52.3-2) unstable; urgency=medium

  * debian/rules:
    - Use --param ggc-min-expand=10 on hppa, m68k and sh4 in order to
      reduce the memory usage during compilation (Closes: #1134391)
      (thanks, John Paul Adrian Glaubitz).
  * Refresh upstream signing keys with the expiration dates.
  * debian/control.in:
    - Update Standards-Version to 4.7.4.
  * fix-atomics-detection.patch:
    - Improve detection of whether libatomic is required. This was failing
      in some architectures (armhf, armel) with some versions of clang.
  * fix-big-endian-string.patch:
    - Use the native byte order when converting from utf8 to utf16.
      This fixes strings in big-endian machines (Closes: #1132818).

 -- Alberto Garcia <berto@igalia.com>  Thu, 23 Apr 2026 12:46:57 +0200

webkit2gtk (2.52.3-1) unstable; urgency=high

  * New upstream release (Closes: #1134002)
  * Update no-must-tail.patch (Closes: #1134097)
    (thanks, John Paul Adrian Glaubitz).
  * Drop fix-ftbfs-no-skia.patch.

 -- Alberto Garcia <berto@igalia.com>  Fri, 17 Apr 2026 09:43:31 +0200

webkit2gtk (2.52.2-2) unstable; urgency=high

  * fix-ftbfs-no-skia.patch:
    - Fix FTBFS on platforms that don't use Skia (like s390x).

 -- Alberto Garcia <berto@igalia.com>  Mon, 13 Apr 2026 23:03:28 +0200

webkit2gtk (2.52.2-1) unstable; urgency=high

  * New upstream release (Closes: #1132198) (LP: #2148077).
  * Drop fix-dom-build.patch.

 -- Alberto Garcia <berto@igalia.com>  Mon, 13 Apr 2026 15:10:15 +0200

webkit2gtk (2.52.1-1) unstable; urgency=high

  * New upstream release.
  * The WebKitGTK security advisory WSA-2026-0002 lists the following
    security fixes in the latest versions of WebKitGTK:
    - CVE-2026-20643, CVE-2026-20664, CVE-2026-20665,
      CVE-2026-20691, CVE-2026-28857, CVE-2026-28859,
      CVE-2026-28861, CVE-2026-28871 (fixed in 2.52.1).
  * Drop fix-string-cast.patch and fix-swift-build.patch.
  * fix-dom-build.patch:
    - Cherry pick patch to fix the GTK3 build (WebKit bug #310915).

 -- Alberto Garcia <berto@igalia.com>  Sat, 28 Mar 2026 10:05:01 +0100

webkit2gtk (2.52.0-1) unstable; urgency=medium

  * New upstream release.
  * Bring all changes from the 2.51 (experimental) branch.
  * Upstream has removed support for soup2 in WebKitGTK 2.51.1, so there
    will be no more backports for bookworm, which will stay with 2.50.x.
    - Remove all references to ccache, we were only using it for bookworm
      backports.
    - Remove all the logic to build 4.0 API (soup2) packages.
    - Replace the 4.0 API debhelper files with the 4.1 versions.
    - Disable libjavascriptcoregtk-bin when not building the 4.0 API
      packages.
  * debian/control.in:
    - Add build dependencies on gir1.2-gobject-2.0-dev,
      gir1.2-soup-3.0-dev and gir1.2-gtk-*-dev.
  * debian/source/lintian-overrides:
    - Update source-is-missing overrides.
  * debian/copyright:
    - Update copyright information of all files.
  * debian/libwebkit2gtk-4.1-0.symbols:
    - Update symbols.
  * debian/rules:
    - No need to use -DENABLE_MINIBROWSER=ON any more, this is on by
      default (see WebKit bug #240515)
    - Build always the 4.0 API / GTK3 version of the WebDriver. This is
      what were already doing in practice, so it just simplifies the rules
      file.
    - Remove the GTK*_BUILD_DEP variables and make those build
      dependencies unconditional.
    - Fix usage of the ENABLE_DOCUMENTATION setting.
    - Add setting (and patch) to enable building the Swift demo (for
      testing purposes only, disabled by default).
  * debian/patches/fix-string-cast.patch:
    - Fix build failure.

 -- Alberto Garcia <berto@igalia.com>  Sun, 22 Mar 2026 00:36:27 +0100

webkit2gtk (2.50.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - Use --param ggc-min-expand=10 on hurd-i386 and x32 to reduce memory
      usage.
  * debian/patches/no-must-tail.patch:
    - Update patch to cover alpha and hppa (Closes: #1127874).
  * Remove all references to mips64el as it has been removed from Debian
    (see #1129516).

 -- Alberto Garcia <berto@igalia.com>  Fri, 13 Mar 2026 10:12:36 +0100

webkit2gtk (2.50.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control.in:
    - Build depend on libxml2-utils. glib-compile-resources uses xmllint
      (Jeremy Bícha).
    - Remove "Priority: optional" field, this is now redundant (Debian
      policy 4.7.3).
    - Update Standards-Version to 4.7.3.
  * debian/rules:
    - Disable native SIMD on Ubuntu (LP: #2121516) (Jeremy Bícha).
    - Build with -no-integrated-cpp to further reduce memory usage on some
      32-bit architectures (Closes: #1125347).
    - Use gcc on armhf instead of clang-19 (Closes: #1124051)
      (LP: #2103459).
    - Use --param ggc-min-expand=10 on armhf and powerpc to reduce memory
      usage even more.
  * debian/patches/no-must-tail.patch:
    - Disable musttail on sh4 and m68k (Closes: #1125380).
  * Update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Tue, 10 Feb 2026 14:44:43 +0100

webkit2gtk (2.50.4-1) unstable; urgency=medium

  [ Alberto Garcia ]
  * New upstream release.
  * debian/copyright:
    - Update copyright information of all files.

  [ Samuel Thibault ]
  * control, rules: Restore building on hurd-any (Closes: #1122189).
  * debian/libwebkit2gtk-4.0-37.symbols: Fix list for hurd-any.

 -- Alberto Garcia <berto@igalia.com>  Tue, 16 Dec 2025 15:33:34 +0100

webkit2gtk (2.50.3-1) unstable; urgency=medium

  [ Alberto Garcia ]
  * New upstream release.
  * Use the default gcc (gcc-15) again in mips64el now that #1116217 has
    been fixed.
  * Drop fix-crash.patch and fix-link-error.patch.

  [ Jeremy Bicha ]
  * debian/control.in:
    - Stop suggesting devhelp, it's going to be removed from Debian.

 -- Alberto Garcia <berto@igalia.com>  Thu, 04 Dec 2025 12:18:39 +0100

webkit2gtk (2.50.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/fix-link-error.patch:
    - Cherry pick build fix for 2.50.2.
  * debian/patches/fix-crash.patch:
    - Cherry pick crash fix.
  * As of 2.50.0, WebKitGTK no longer depends on GstTranscoder (WebKit bug
    #295985).
    - debian/control.in: Remove build dependency on
      libgstreamer-plugins-bad1.0-dev.
    - debian/rules: Don't use -DUSE_GSTREAMER_TRANSCODER=OFF in Ubuntu.
  * debian/control.in:
    - Drop build dependency on libgirepository1.0-dev (Closes: #1118932).
    - Remove Rules-Requires-Root: no, as this is the default value since
      dpkg 1.22.13 (fixes redundant-rules-requires-root-no-field).
  * Use clang-19 on armhf since the build fails with versions 20 and 21
    (WebKit bug #290167).

 -- Alberto Garcia <berto@igalia.com>  Fri, 21 Nov 2025 11:01:12 +0100

webkit2gtk (2.50.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control.in:
    - Enable the bubblewrap sandbox in loong64.
    - Remove Gustavo from the list of uploaders, he hasn't been active
      in over a decade. Obrigado, amigo!
  * debian/rules:
    - Enable Skia in loong64, it builds fine with GCC 15.2.0 (but not with
      clang 19: "neon.h: error: _Float16 is not supported on this target")
    - Stop using -DDEBUG_FISSION=OFF, this is already disabled by
      default if developer mode is not enabled (WebKit bug #252679).
    - Use DEB_HOST_ARCH_BITS instead of DEB_BUILD_ARCH_BITS to detect if
      we're making a 32-bit build. This won't make a difference in
      practice but it's the correct way to do it.
  * Drop fix-ftbfs-i386.patch and fix-ftbfs-s390x.patch.

 -- Alberto Garcia <berto@igalia.com>  Fri, 10 Oct 2025 13:02:49 +0200

webkit2gtk (2.50.0-2) unstable; urgency=medium

  * debian/patches/fix-ftbfs-i386.patch:
    - Update patch to also fix the armhf build.
  * Force gcc-14 in mips64el because gcc 15 fails with an internal
    compiler error (#1116217) and clang is not an option ("failed to
    perform tail call elimination").
  * debian/rules:
    - Remove unused variable EXTRA_BUILD_ARGUMENTS.
  * debian/patches/disable-nvidia-dmabuf.patch:
    - Bring back this patch, now adapted to WebKitGTK 2.50.0.

 -- Alberto Garcia <berto@igalia.com>  Fri, 26 Sep 2025 14:40:49 +0200

webkit2gtk (2.50.0-1) unstable; urgency=medium

  * New upstream release.
  * Bring all changes from the 2.49 (experimental) branch.
  * debian/copyright:
    - Update copyright information of all files.
  * debian/gbp.conf:
    - Update upstream branch name.
  * debian/libwebkit2gtk-4.0-37.symbols:
    - Update symbols.
  * Refresh all patches.
    - Drop disable-nvidia-dmabuf.patch for now, it needs changes.
  * debian/patches/fix-ftbfs-s390x.patch:
    - Fix FTBFS in s390x (WebKit bug #298308).
  * debian/patches/fix-ftbfs-i386.patch:
    - Fix FTBFS in i386 (WebKit bug #299018).
  * Stop building the transitional packages for forky.
  * debian/source/lintian-overrides:
    - Update source-is-missing overrides.

 -- Alberto Garcia <berto@igalia.com>  Fri, 19 Sep 2025 11:20:29 +0200

webkit2gtk (2.48.6-1) unstable; urgency=medium

  [ Alberto Garcia ]
  * New upstream release.
  * Drop fix-ftbfs-armv7.patch.
  * Stop supporting non-SSE2 i386 CPUs since SSE2 is required starting
    from trixie.
    - Drop dont-detect-sse2.patch.
    - Enable the JIT again and disable CLoop.
  * Use clang in i386. This is now possible since we require SSE2.

  [ Jeremy Bicha ]
  * Disable gamepad feature on Ubuntu since libmanette is in universe
    there.
  * Don't require libmanette on i386.

 -- Alberto Garcia <berto@igalia.com>  Thu, 04 Sep 2025 10:33:59 +0200

webkit2gtk (2.48.5-1) unstable; urgency=high

  * New upstream release.
  * The WebKitGTK security advisory WSA-2025-0005 lists the following
    security fixes in the latest versions of WebKitGTK:
    - CVE-2025-24189 (fixed in 2.48.0).
    - CVE-2025-31273, CVE-2025-31278, CVE-2025-43211, CVE-2025-43212,
      CVE-2025-43216, CVE-2025-43227, CVE-2025-43228, CVE-2025-43240,
      CVE-2025-43265, CVE-2025-6558 (fixed in 2.48.5).
  * debian/upstream/signing-key.asc:
    - Update Adrian Perez's PGP key.
  * debian/patches/fix-ftbfs-armv7.patch:
    - Fix arm build.

 -- Alberto Garcia <berto@igalia.com>  Mon, 11 Aug 2025 00:53:50 +0200

webkit2gtk (2.48.3-1) unstable; urgency=high

  * New upstream release (Closes: #1106164).
  * debian/patches/disable-nvidia-dmabuf.patch:
    - Check that GL_VENDOR is set (Closes: #1106454).

 -- Alberto Garcia <berto@igalia.com>  Thu, 29 May 2025 01:56:24 +0200

webkit2gtk (2.48.2-1) unstable; urgency=high

  * New upstream release.
  * The WebKitGTK security advisory WSA-2025-0004 lists the following
    security fixes in the latest versions of WebKitGTK:
    - CVE-2023-42875, CVE-2023-42970 (fixed in 2.42.0).
    - CVE-2025-24223, CVE-2025-31204, CVE-2025-31205, CVE-2025-31206,
      CVE-2025-31215, CVE-2025-31257 (fixed in 2.48.2).
  * Drop fix-typo-denormaldisabler.patch.
  * debian/rules:
    - Stop building with HAVE_DENORMAL=0 on armel, WebKit bug #290994 has
      been fixed in this release.
  * debian/copyright:
    - Update copyright information of all files.

 -- Alberto Garcia <berto@igalia.com>  Fri, 16 May 2025 09:54:16 +0200

webkit2gtk (2.48.1-3) unstable; urgency=high

  * debian/rules:
    - Build with -mbranch-protection=pac-ret on arm64 (Closes: #1104703).

 -- Alberto Garcia <berto@igalia.com>  Mon, 05 May 2025 15:58:39 +0200

webkit2gtk (2.48.1-2) unstable; urgency=high

  * debian/rules:
    - Build with HAVE_DENORMAL=0 on armel (WebKit bug #290994).

 -- Alberto Garcia <berto@igalia.com>  Sat, 05 Apr 2025 13:20:18 +0200

webkit2gtk (2.48.1-1) unstable; urgency=high

  [ Alberto Garcia ]
  * New upstream release.
  * Refresh all patches.
  * Build with -mlarge-data and -mlarge-text on alpha to fix build failure
    (thanks, John Paul Adrian Glaubitz) (Closes: #1101547).
  * debian/control.in:
    - Update Standards-Version to 4.7.2 (no changes).
  * fix-typo-denormaldisabler.patch:
    - Fix build failure in i386 and others due to missing semicolon.

  [ Jeremy Bicha ]
  * Disable speech synthesis in Ubuntu builds.

 -- Alberto Garcia <berto@igalia.com>  Wed, 02 Apr 2025 20:33:55 +0200

webkit2gtk (2.48.0-1) unstable; urgency=medium

  * New upstream release.
  * Bring all changes from the 2.47 (experimental) branch.
  * debian/source/lintian-overrides:
    - Update source-is-missing overrides.
  * Remove libwebkit2gtk-4.0-37.lintian-overrides.
  * debian/control.in:
    - Add build dependency on flite1-dev (for speech synthesis).
    - Remove the minimum versions of all build dependencies in the cases
      where they are very old.
    - Remove build dependencies on all lib*-doc packages.
  * Enable clang again in the architectures where it's available and known
    to work.
  * Replace USE_OLD_*_PKG with USE_OLD_PKG_NAMES.
  * debian/copyright:
    - Update copyright information of all files.
  * debian/gbp.conf:
    - Update upstream branch name.
  * debian/libwebkit2gtk-4.0-37.symbols:
    - Update symbols.
  * fix-bmalloc-armhf.patch:
    - Drop this patch, the armhf build works fine now without it.
  * fix-ftbfs-hurd.patch:
    - Drop this patch, I forgot to do it in 2.46.1-2.
  * disable-nvidia-dmabuf.patch:
    - Update this patch for the 2.48.x branch.
  * debian/rules:
    - Stop overriding dh_builddeb, running it in parallel used to be a
      problem when we were building without -g1 and had very large debug
      packages.

 -- Alberto Garcia <berto@igalia.com>  Fri, 14 Mar 2025 23:12:01 +0100

webkit2gtk (2.46.6-1) unstable; urgency=high

  * New upstream release (Closes: #1092311).
  * Refresh debian/patches/disable-nvidia-dmabuf.patch
  * debian/copyright:
    - Update copyright information of all files.
  * debian/rules:
    - Stop using -DWTF_CPU_ARM64_CORTEXA53=OFF, this was fixed upstream a
      long time ago (WebKit bug #197192).
  * debian/upstream/signing-key.asc:
    - sq complains about multiple concatenated ASCII Armor blocks, so put
      all keys in the same block.

 -- Alberto Garcia <berto@igalia.com>  Fri, 07 Feb 2025 14:40:10 +0100

webkit2gtk (2.46.5-1) unstable; urgency=medium

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Thu, 19 Dec 2024 09:55:22 +0100

webkit2gtk (2.46.4-1) unstable; urgency=high

  * New upstream release.
  * The WebKitGTK security advisory WSA-2024-0007 lists the following
    security fixes in the latest versions of WebKitGTK:
    - CVE-2024-44308, CVE-2024-44309 (fixed in 2.46.4).

 -- Alberto Garcia <berto@igalia.com>  Wed, 27 Nov 2024 16:00:26 +0100

webkit2gtk (2.46.3-1) unstable; urgency=medium

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Wed, 30 Oct 2024 14:39:03 +0100

webkit2gtk (2.46.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop socket-monitor-crash.patch (included in this release).
  * debian/control-common.in:
    - The libwebkit*-dev packages are no longer Multi-Arch: same.
      The s390x versions of the WebKit*.gir files are different due to a
      change in a default value (WebKit bug #279220).
  * debian/copyright:
    - Update copyright information of all files.
  * debian/rules:
    - Stop disabling jpeg-xl in Ubuntu (Jeremy Bícha).
    - Remove the USE_PREBUILT_DOCS variable, we can always build the
      documentation now.
    - Fix build with -Nlibwebkitgtk-doc.
    - Disable Skia on loong64 (Closes: #1082740).

 -- Alberto Garcia <berto@igalia.com>  Wed, 23 Oct 2024 11:57:14 +0200

webkit2gtk (2.46.1-2) unstable; urgency=medium

  * Make the package Linux-only.
    - debian/control*.in: Set Architecture: linux-any.
    - debian/rules: Remove non-Linux quirks.
  * debian/patches/socket-monitor-crash.patch:
    - Fix crash due to a regression in 2.46.1 (WebKit bug #281495).
  * debian/control.in:
    - Require cmake 3.20.

 -- Alberto Garcia <berto@igalia.com>  Thu, 17 Oct 2024 16:52:26 +0200

webkit2gtk (2.46.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    - Remove compiler overrides for sh4 (Closes: #1082305)
      (thanks, John Paul Adrian Glaubitz).
    - Build with -DENALE_WEBGL=OFF in the Hurd.
  * Drop debian/patches/fix-epiphany-ftbfs.patch.
  * debian/copyright:
    - Update copyright information of all files.

 -- Alberto Garcia <berto@igalia.com>  Mon, 30 Sep 2024 13:51:18 +0200

webkit2gtk (2.46.0-2) unstable; urgency=medium

  * debian/rules:
    - Use -DUSE_SYSPROF_CAPTURE=OFF in unsupported arches.
    - Enable bmalloc on armhf, using the system malloc is crashing the web
      process (Closes: #1082148)
  * debian/patches/fix-epiphany-ftbfs.patch:
    - Disable webkit_settings_set_enable_2d_canvas_acceleration on
      non-Skia builds. This fixes a FTBFS in epiphany-browser
      (Closes: #1082149).
  * debian/patches/disable-dmabuf-nvidia.patch:
    - Bring back this patch (Closes: #1082139), see also #1039720.
  * debian/patches/fix-bmalloc-armhf.patch:
    - Fix the armhf build if bmalloc is enabled.

 -- Alberto Garcia <berto@igalia.com>  Thu, 19 Sep 2024 19:11:43 +0200

webkit2gtk (2.46.0-1) unstable; urgency=medium

  * New upstream release.
  * Bring all changes from the 2.45 (experimental) branch.
  * Enable sysprof profiling integration on available architectures.
  * Rename webkit2gtk-driver to webkitgtk-webdriver.
    - debian/control.in: add the necessary Conflicts / Breaks / Replaces.
    - debian/control-webdriver.in: control file for the transitional
      package.
    - debian/rules: Add USE_OLD_WEBDRIVER_PKG and the logic to decide
      which packages to build.
  * debian/rules:
    - Disable bmalloc in armhf (WebKit bug #278858).
    - Stop limiting parallel builds on Ubuntu.
  * debian/copyright:
    - Update copyright information of all files.
  * debian/gbp.conf:
    - Update upstream branch name.
  * debian/libwebkit2gtk-4.0-37.symbols:
    - Update symbols.
  * debian/patches/dont-detect-sse2.patch:
    - Update this patch.
  * Remove the following patches:
    - disable-dmabuf-nvidia.patch: all Nvidia-related bugs are supposed to
      be fixed upstream.
    - prefer-pthread.patch: this should not be needed anymore.
    - reduce-memory-overheads.patch: Override LDFLAGS instead.
  * debian/source/lintian-overrides:
    - Update source-is-missing overrides.

 -- Alberto Garcia <berto@igalia.com>  Tue, 17 Sep 2024 15:42:38 +0200

webkit2gtk (2.44.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop fix-clang-build.patch and fix-webasm-crash.patch.
  * debian/rules:
    - Disable dh_dwz, it breaks the build in at least i386 and amd64
      (see #1081000).

 -- Alberto Garcia <berto@igalia.com>  Mon, 09 Sep 2024 14:22:28 +0200

webkit2gtk (2.44.3-1) unstable; urgency=high

  * New upstream release.
  * The WebKitGTK security advisory WSA-2024-0004 lists the following
    security fixes in the latest versions of WebKitGTK:
    - CVE-2024-40776, CVE-2024-40779, CVE-2024-40780, CVE-2024-40782,
      CVE-2024-40785, CVE-2024-40789, CVE-2024-40794, CVE-2024-4558
      (fixed in 2.44.3).
  * debian/patches/fix-clang-build.patch,
    debian/patches/fix-webasm-crash.patch:
    - Patches recommended by upstream after 2.44.3 was released.
  * debian/libwebkit2gtk-4.0-37.symbols:
    - Update symbols.
  * debian/control.in:
    - Update Standards-Version to 4.7.0 (no changes).
    - Replace gobject-introspection-bin with gobject-introspection. This
      fixes a lintian error: missing-build-dependency-for-dh-addon gir
      (does not satisfy gobject-introspection:any | dh-sequence-gir:any)

 -- Alberto Garcia <berto@igalia.com>  Mon, 26 Aug 2024 15:24:02 +0200

webkit2gtk (2.44.2-1) unstable; urgency=high

  * New upstream release.
  * debian/upstream/signing-key.asc:
    - Replace Carlos Garcia's DSA key with the new RSA one.

 -- Alberto Garcia <berto@igalia.com>  Thu, 16 May 2024 14:09:54 +0200

webkit2gtk (2.44.1-1) unstable; urgency=medium

  * New upstream release.
  * Re-enable WebGL on armel.
    - debian/rules: stop using -DENABLE_WEBGL=OFF on armel, powerpc and
      sh4.
  * debian/patches/fix-ftbfs-i386.patch:
    - Drop this patch, it is included in this release.

 -- Alberto Garcia <berto@igalia.com>  Tue, 09 Apr 2024 14:09:50 +0200

webkit2gtk (2.44.0-2) unstable; urgency=high

  * The WebKitGTK security advisory WSA-2024-0002 lists the following
    security fixes in the latest versions of WebKitGTK:
    - CVE-2024-23252, CVE-2024-23254, CVE-2024-23263, CVE-2024-23280,
      CVE-2024-23284, CVE-2023-42950, CVE-2023-42956, CVE-2023-42843
      (fixed in 2.44.0).
  * debian/patches/fix-ftbfs-riscv64.patch:
    - Treat riscv64 as an unknown CPU to fix a FTBFS in JavaScriptCore
      (webkit bug #271371).

 -- Alberto Garcia <berto@igalia.com>  Wed, 27 Mar 2024 22:57:51 +0100

webkit2gtk (2.44.0-1) unstable; urgency=medium

  * New upstream release.
  * Stop building the 4.0 API packages.
    - debian/rules: Set ENABLE_SOUP2=NO
    - debian/control.in: Remove build dependency on ccache.
  * Replace debian/patches/fix-ftbfs-i386.patch with a new patch for this
    version.
  * debian/control.in:
    - Build depend on libsoup-3.0-doc instead of libsoup2.4-doc.
    - Enable the bubblewrap sandbox only in the architectures where
      libseccomp is working (Closes: #1067643).
  * Bring all changes from the 2.43 (experimental) branch.
  * debian/gbp.conf:
    - Update upstream branch name.
  * debian/control.in:
    - Add build dependency on libdrm-dev.
    - Replace gobject-introspection with gobject-introspection-bin.
    - Remove build dependendency on libwpebackend-fdo, upstream no longer
      uses it.
    - And missing ${gir:Depends} and ${gir:Provides} to the -dev and
      gir1.2 packages.
  * debian/rules:
    - GTK4 is now the default, pass -DUSE_GTK4=OFF to the GTK3 builds.
    - Build with -DUSE_LIBDRM=OFF in the Hurd.
    - Build with -DUSE_LIBBACKTRACE=OFF.
  * Use the documentation from the 6.0 API build and update path of
    installed docs, upstream no longer uses the gtk-doc dir (see webkit
    bug #265133).
  * Rename libwebkit2gtk-4.0-doc to libwebkitgtk-doc and
    libjavascriptcoregtk-4.0-bin to libjavascriptcoregtk-bin.
    - debian/control.in: add the necessary Conflicts / Breaks / Replaces.
    - debian/control-doc.in: control file for the transitional package.
    - debian/control-jscbin.in: control file for the transitional package.
    - Rename debian/libwebkit2gtk-4.0-doc.* -> libwebkitgtk-doc.*
    - Remove debian/libjavascriptcoregtk-4.0-bin.*
    - debian/rules: Add the USE_OLD_DOC_PKG and USE_OLD_JSCBIN_PKG
      variables and the logic to decide which packages to build.
  * Refresh debian/patches/disable-dmabuf-nvidia.patch.
  * debian/source/lintian-overrides:
    - Update source-is-missing overrides.
  * debian/copyright:
    - Update copyright information of all files.

 -- Alberto Garcia <berto@igalia.com>  Mon, 25 Mar 2024 11:33:58 +0100

webkit2gtk (2.42.5-2) unstable; urgency=medium

  * debian/rules:
    - Don't copy CFLAGS to CXXFLAGS: -Werror=implicit-function-declaration
      (default since dpkg 1.22.6) causes a FTBFS when added to the latter
      (Closes: #1066411).
    - Don't use ccache on the gtk4 build since it won't reuse any results
      from the gtk3 builds.

 -- Alberto Garcia <berto@igalia.com>  Thu, 14 Mar 2024 18:45:04 +0100

webkit2gtk (2.42.5-1) unstable; urgency=high

  * New upstream release.
  * debian/copyright:
    - Update copyright information of all files.
  * debian/rules:
    - Remove last empty line from debian/control.
  * debian/patches/fix-ftbfs-i386.patch:
    - i386 build fix.

 -- Alberto Garcia <berto@igalia.com>  Mon, 05 Feb 2024 11:55:25 +0100

webkit2gtk (2.42.4-1) unstable; urgency=high

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Fri, 15 Dec 2023 10:58:35 +0100

webkit2gtk (2.42.3-1) unstable; urgency=high

  * New upstream release.
  * Drop tweaks for some arches that are unsupported or haven't worked in
    a long time: ia64, m68k, kfreebsd, mips and mipsel.
  * Refresh all patches.
  * debian/control.in:
    - Set the debhelper compatibility level to 13.
  * debian/rules:
    - Stop overriding dh_missing, no longer needed with dh compat 13.

 -- Alberto Garcia <berto@igalia.com>  Tue, 05 Dec 2023 14:28:29 +0100

webkit2gtk (2.42.2-1) unstable; urgency=high

  * New upstream release.
  * debian/copyright:
    - Update copyright information of all files.

 -- Alberto Garcia <berto@igalia.com>  Fri, 10 Nov 2023 19:02:00 +0100

webkit2gtk (2.42.1-2) unstable; urgency=medium

  * debian/patches/disable-dmabuf-nvidia.patch:
    - Disable the DMABuf renderer for NVIDIA proprietary drivers
      (Closes: #1039720, #1052055).

 -- Alberto Garcia <berto@igalia.com>  Wed, 04 Oct 2023 17:09:23 +0200

webkit2gtk (2.42.1-1) unstable; urgency=high

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Wed, 27 Sep 2023 10:49:22 +0200

webkit2gtk (2.42.0-1) unstable; urgency=medium

  * New upstream release.
  * Bring all changes from the 2.41 (experimental) branch.
  * debian/gbp.conf:
    - Update upstream branch name.
  * debian/control.in:
    - Remove the minimum versions of all build dependencies in the cases
      where they are very old.
    - Add build dependency on libjxl-dev, JPEGXL is now enabled by
      default.
    - Require CMake 3.16
  * debian/control-common.in:
    - Add dependency on libgles2. This is no longer detected automatically
      because it's loaded at runtime by libepoxy (see #1050777).
  * debian/source/lintian-overrides:
    - Update source-is-missing overrides.
  * debian/libwebkit2gtk-4.0-37.symbols:
    - Update symbols.
  * debian/rules:
    - Use --max-parallel=2 in Debian mipsel builds again.
    - Don't build jpegxl support on Ubuntu yet (it's still in universe)
      (Jeremy Bicha).
  * debian/copyright:
    - Update copyright information of all files.

 -- Alberto Garcia <berto@igalia.com>  Fri, 15 Sep 2023 14:49:49 +0200

webkit2gtk (2.40.5-1) unstable; urgency=high

  * New upstream release.
  * debian/rules:
    - Use -O1 instead of -Os in sh4 (thanks, John Paul Adrian Glaubitz)
      (Closes: #1042519).
  * Drop debian/patches/fix-jsc-timestamp.patch.

 -- Alberto Garcia <berto@igalia.com>  Wed, 02 Aug 2023 00:01:52 +0300

webkit2gtk (2.40.4-1) unstable; urgency=high

  * New upstream release.
  * debian/rules:
    - Set Build-Depends-Indep to jdupes when USE_PREBUILT_DOCS is set.

 -- Alberto Garcia <berto@igalia.com>  Fri, 21 Jul 2023 11:01:47 +0200

webkit2gtk (2.40.3-2) unstable; urgency=high

  * debian/rules:
    - Use override_dh_install-indep when setting up the documentation
      (Closes: #1039877).
  * debian/control.in:
    - Move jdupes to Build-Depends-Indep.

 -- Alberto Garcia <berto@igalia.com>  Thu, 29 Jun 2023 15:14:08 +0200

webkit2gtk (2.40.3-1) unstable; urgency=high

  * New upstream release (Closes: #1036946).
  * debian/control.in:
    - Enable the bubblewrap sandbox in riscv64.
  * debian/copyright:
    - Update copyright information of all files.
  * debian/patches/fix-jsc-timestamp.patch:
    - Ensure reproducibility of __TIMESTAMP__ in JSCBytecodeCacheVersion.cpp.

 -- Alberto Garcia <berto@igalia.com>  Wed, 28 Jun 2023 16:55:42 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libjavascriptcoregtk-6.0-1`.
